<?php  
	require_once 'header.php';
	require_once './ticket/function.php';
	require_once './ticket/modal.php';
	require_once './ticket/script.php';
	$pagina = 'index.php';
?>
<style>
	.container-fluid{margin-top: 1%;}
</style>
<body>
	<?php require_once 'navbar.php'; ?>
	<div class="container-fluid">
		<div class="row">
			<div class="col-sm-10">
				<h3 class="font-weight-bolder">
					Tickets Abertos
				</h3>
			</div>
			<div class="col-sm-2">
				<button 
					class="btn btn-primary btn-block"
					data-toggle="modal"
					data-target="#abrirTicket">
					Abrir Ticket
				</button>
			</div>
		</div>
		<div class="row">
		<?php  
			$listar = ListarVeiculosPatio();
			if(is_array($listar)){
				if(count($listar) > 0){
					foreach($listar as $l){
		?>
			<div class="col-sm-2">
				<div class="card">
					<div class="card-header bg-success text-white text-center text-uppercase">
						<h2>
							<?php echo $l['placa']; ?>
						</h2>
					</div>
					<div class="card-body">
						<strong>Entrada:</strong>
						<?php echo date("d/m/Y H:i:s", strtotime($l['data'])); ?>
						<br>
						<strong>Registrado por:</strong>
						<?php echo $l['func']; ?>
					</div>
					<div class="card-footer bg-white text-center">
						<button 
							class="btn btn-danger finalizar" 
							data-toggle="modal" 
							data-target="#finalizar"
							cd="<?php echo $l['idVeiculo']; ?>"
							title="registrar saída">
							Registrar Saída
						</button>
					</div>
				</div>
			</div>	
		<?php  
					}#aqui fecha o foreach
				}#aqui fecha o count
			}#aqui fecha o is_array
		?>
		</div>
	</div>
	<?php 
		require_once 'footer.php'; 

		if(!empty($_POST)){
			if($_POST['action'] == "Registrar"){
				RegistrarVeiculo(
					$_POST['placa'],
					$_SESSION['id'],
					$pagina
				);
			}
		}
	?>
</body>